/*
 *  HexViewProtocol.h
 *  PrefSetter
 *
 *  Created by Darkshadow on 7/10/08.
 *  Copyright 2008 Night Productions. All rights reserved.
 *
 */

#import <HexFiend1/HexViewTypes.h>

@class ByteArray, DataView;

@protocol HexViewProtocol

- (void)insertData:(NSData *)data backtrackingSelection:(int)backtracking;
- (NSFont *)hexFont;
- (NSFont *)asciiFont;
- (NSArray *)documentColors;
- (NSColor *)gridColor;
- (unsigned)visibleLines;
- (unsigned long long)lineScroll;
- (unsigned)bytesPerLine;
- (unsigned long long)byteArrayLength;
- (ByteArray *)byteArray;
- (LongRange)selectionAnchorRange;
- (unsigned long long)selectionAnchorIndex;
- (LongRange)selection;
- (void)selectAll:sender;
- (BOOL)setDataSelection:(LongRange)dataSelection stillSelecting:(BOOL)flag fromDataView:(DataView *)dataView;
- (void)pasteBytes:(ByteArray *)bytes;
- (BOOL)dropBytes:(ByteArray *)bytes atIndex:(unsigned long long)index fromDataView:(DataView *)dataView removingOldSelection:(BOOL)deleteOld;
- (BOOL)setDataSelection:(LongRange)dataSelection stillSelecting:(BOOL)flag fromDataView:(DataView *)dataView;
- (void)moveDirection:(int)dir andModifySelection:(BOOL)modifySelection;
- (void)deleteDirection:(int)dir;
- (void)bulkMove:(int)move inDirection:(int)dir andModifySelection:(BOOL)flag;
- (void)scrollByLines:(int)lines;

@end
